Create a workspace brand
curl --request POST \
--url https://myunite.ai/api/v1/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"userConfirmed": true,
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logoUploadId": "<string>",
"distinctiveAssets": [
{
"uploadId": "<string>",
"description": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
userConfirmed: true,
colors: ['<string>'],
taglines: ['<string>'],
logoUploadId: '<string>',
distinctiveAssets: [{uploadId: '<string>', description: '<string>'}]
})
};
fetch('https://myunite.ai/api/v1/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://myunite.ai/api/v1/brands"
payload = {
"name": "<string>",
"userConfirmed": True,
"colors": ["<string>"],
"taglines": ["<string>"],
"logoUploadId": "<string>",
"distinctiveAssets": [
{
"uploadId": "<string>",
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"brand": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logo": {
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
},
"distinctiveAssets": [
{
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
}
]
},
"readiness": {
"colors": true,
"logo": true,
"taglines": true,
"distinctiveAssets": true
},
"enabledChecks": [
"<string>"
],
"newlyEnabledChecks": [
"<string>"
],
"conflicts": [
{
"field": "name",
"existingValue": "<string>",
"requestedValue": "<string>"
}
]
}{
"brand": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logo": {
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
},
"distinctiveAssets": [
{
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
}
]
},
"readiness": {
"colors": true,
"logo": true,
"taglines": true,
"distinctiveAssets": true
},
"enabledChecks": [
"<string>"
],
"newlyEnabledChecks": [
"<string>"
],
"conflicts": [
{
"field": "name",
"existingValue": "<string>",
"requestedValue": "<string>"
}
]
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}Brands
Create a workspace brand
Creates a workspace brand. An optional Idempotency-Key protects retries. Without one, identical arguments from the same credential replay the creation. Reuse with different arguments returns 409. Requires a current workspace editor or admin. Supply user, brand_book or web as the source. Prefer the official brand book. Web research requires userConfirmed set to true after confirmation. Logos and distinctive assets accept this workspace’s PNG, JPEG, GIF or WebP uploads up to 8 MB. Returns the saved brand, readiness and checks available for applicable pre-tests.
Requires the brands:write scope.
POST
/
brands
Create a workspace brand
curl --request POST \
--url https://myunite.ai/api/v1/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"userConfirmed": true,
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logoUploadId": "<string>",
"distinctiveAssets": [
{
"uploadId": "<string>",
"description": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
userConfirmed: true,
colors: ['<string>'],
taglines: ['<string>'],
logoUploadId: '<string>',
distinctiveAssets: [{uploadId: '<string>', description: '<string>'}]
})
};
fetch('https://myunite.ai/api/v1/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://myunite.ai/api/v1/brands"
payload = {
"name": "<string>",
"userConfirmed": True,
"colors": ["<string>"],
"taglines": ["<string>"],
"logoUploadId": "<string>",
"distinctiveAssets": [
{
"uploadId": "<string>",
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"brand": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logo": {
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
},
"distinctiveAssets": [
{
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
}
]
},
"readiness": {
"colors": true,
"logo": true,
"taglines": true,
"distinctiveAssets": true
},
"enabledChecks": [
"<string>"
],
"newlyEnabledChecks": [
"<string>"
],
"conflicts": [
{
"field": "name",
"existingValue": "<string>",
"requestedValue": "<string>"
}
]
}{
"brand": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"colors": [
"<string>"
],
"taglines": [
"<string>"
],
"logo": {
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
},
"distinctiveAssets": [
{
"id": "<string>",
"fileUrl": "<string>",
"description": "<string>"
}
]
},
"readiness": {
"colors": true,
"logo": true,
"taglines": true,
"distinctiveAssets": true
},
"enabledChecks": [
"<string>"
],
"newlyEnabledChecks": [
"<string>"
],
"conflicts": [
{
"field": "name",
"existingValue": "<string>",
"requestedValue": "<string>"
}
]
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "<string>",
"requestId": "<string>",
"docUrl": "<string>",
"param": "<string>"
}
}Autorizações
Corpo
application/json
Esta página foi útil?